/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
export namespace Components {
    interface RatingStars {
        /**
          * (optional) Chose between active and disable style
         */
        "activityState": 'active' | 'disable';
        /**
          * (optional) The icon svg, if not set it is a normal star
         */
        "getIconCommon": () => string;
        "getIconHovered": () => string;
        /**
          * [Option2] Set a individual size
         */
        "individualSize": string;
        /**
          * (optional) If `true`, the stars are interactive and clickable
         */
        "interactive": boolean;
        /**
          * Return value of selected stars
         */
        "rating": number;
        /**
          * (optional) Number of stars, that are filled
         */
        "selectedStars": number;
        /**
          * [Option1] Change a preset size
         */
        "size": 'small' | 'large';
        /**
          * (optional) Set spacing between each star
         */
        "spaceBetweenStars": string;
        /**
          * (optional) Total number of stars
         */
        "stars": number;
    }
    interface ScaleIconActionShoppingCart {
        /**
          * (optional) When using the icon standalone, make it meaningful for accessibility
         */
        "accessibilityTitle"?: string;
        /**
          * (optional) Sets the icon color via the `fill` attribute
         */
        "color"?: string;
        /**
          * (optional) If `true` the SVG element will get `aria-hidden="true"`
         */
        "decorative"?: boolean;
        /**
          * (optional) If `true`, the icon changes visually
         */
        "selected"?: boolean;
        /**
          * (optional) The width and height in pixels
         */
        "size"?: number;
    }
    interface ScaleIconRatingStar {
        "filled": boolean;
    }
    interface ScaleTLogo {
        /**
          * (optional) possibility for adding a onClick Event
         */
        "clickHandler": any;
        /**
          * (optional) link
         */
        "href": string;
        /**
          * (optional) language of the logo text/ claimOff showes just the T Logo
         */
        "language": 'de' | 'en' | 'cz' | 'hr' | 'hu' | 'me' | 'mk' | 'ro' | 'sk' | 'claimOff';
        /**
          * (optional) height of the Logo itself
         */
        "size": number;
        /**
          * (optional) variant/color of the logo text and logo
         */
        "variant": 'magenta' | 'white';
    }
}
declare global {
    interface HTMLRatingStarsElement extends Components.RatingStars, HTMLStencilElement {
    }
    var HTMLRatingStarsElement: {
        prototype: HTMLRatingStarsElement;
        new (): HTMLRatingStarsElement;
    };
    interface HTMLScaleIconActionShoppingCartElement extends Components.ScaleIconActionShoppingCart, HTMLStencilElement {
    }
    var HTMLScaleIconActionShoppingCartElement: {
        prototype: HTMLScaleIconActionShoppingCartElement;
        new (): HTMLScaleIconActionShoppingCartElement;
    };
    interface HTMLScaleIconRatingStarElement extends Components.ScaleIconRatingStar, HTMLStencilElement {
    }
    var HTMLScaleIconRatingStarElement: {
        prototype: HTMLScaleIconRatingStarElement;
        new (): HTMLScaleIconRatingStarElement;
    };
    interface HTMLScaleTLogoElement extends Components.ScaleTLogo, HTMLStencilElement {
    }
    var HTMLScaleTLogoElement: {
        prototype: HTMLScaleTLogoElement;
        new (): HTMLScaleTLogoElement;
    };
    interface HTMLElementTagNameMap {
        "rating-stars": HTMLRatingStarsElement;
        "scale-icon-action-shopping-cart": HTMLScaleIconActionShoppingCartElement;
        "scale-icon-rating-star": HTMLScaleIconRatingStarElement;
        "scale-t-logo": HTMLScaleTLogoElement;
    }
}
declare namespace LocalJSX {
    interface RatingStars {
        /**
          * (optional) Chose between active and disable style
         */
        "activityState"?: 'active' | 'disable';
        /**
          * (optional) The icon svg, if not set it is a normal star
         */
        "getIconCommon"?: () => string;
        "getIconHovered"?: () => string;
        /**
          * [Option2] Set a individual size
         */
        "individualSize"?: string;
        /**
          * (optional) If `true`, the stars are interactive and clickable
         */
        "interactive"?: boolean;
        /**
          * Return value of selected stars
         */
        "rating"?: number;
        /**
          * (optional) Number of stars, that are filled
         */
        "selectedStars"?: number;
        /**
          * [Option1] Change a preset size
         */
        "size"?: 'small' | 'large';
        /**
          * (optional) Set spacing between each star
         */
        "spaceBetweenStars"?: string;
        /**
          * (optional) Total number of stars
         */
        "stars"?: number;
    }
    interface ScaleIconActionShoppingCart {
        /**
          * (optional) When using the icon standalone, make it meaningful for accessibility
         */
        "accessibilityTitle"?: string;
        /**
          * (optional) Sets the icon color via the `fill` attribute
         */
        "color"?: string;
        /**
          * (optional) If `true` the SVG element will get `aria-hidden="true"`
         */
        "decorative"?: boolean;
        /**
          * (optional) If `true`, the icon changes visually
         */
        "selected"?: boolean;
        /**
          * (optional) The width and height in pixels
         */
        "size"?: number;
    }
    interface ScaleIconRatingStar {
        "filled"?: boolean;
    }
    interface ScaleTLogo {
        /**
          * (optional) possibility for adding a onClick Event
         */
        "clickHandler"?: any;
        /**
          * (optional) link
         */
        "href"?: string;
        /**
          * (optional) language of the logo text/ claimOff showes just the T Logo
         */
        "language"?: 'de' | 'en' | 'cz' | 'hr' | 'hu' | 'me' | 'mk' | 'ro' | 'sk' | 'claimOff';
        /**
          * (optional) height of the Logo itself
         */
        "size"?: number;
        /**
          * (optional) variant/color of the logo text and logo
         */
        "variant"?: 'magenta' | 'white';
    }
    interface IntrinsicElements {
        "rating-stars": RatingStars;
        "scale-icon-action-shopping-cart": ScaleIconActionShoppingCart;
        "scale-icon-rating-star": ScaleIconRatingStar;
        "scale-t-logo": ScaleTLogo;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "rating-stars": LocalJSX.RatingStars & JSXBase.HTMLAttributes<HTMLRatingStarsElement>;
            "scale-icon-action-shopping-cart": LocalJSX.ScaleIconActionShoppingCart & JSXBase.HTMLAttributes<HTMLScaleIconActionShoppingCartElement>;
            "scale-icon-rating-star": LocalJSX.ScaleIconRatingStar & JSXBase.HTMLAttributes<HTMLScaleIconRatingStarElement>;
            "scale-t-logo": LocalJSX.ScaleTLogo & JSXBase.HTMLAttributes<HTMLScaleTLogoElement>;
        }
    }
}
